@import '../../../../assets/styles/common.scss';

$equipmentHeight: 320px;

.equipment-container {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    height: $equipmentHeight;

    &-description {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        width: calc(100% - #{$equipmentHeight * 1.5});

        &-status {
            color: hsl(0, 0%, 83%);
        }

        &-item {
            width: 100%;
            height: 64px;
            display: flex;
            flex-wrap: nowrap;
            align-items: center;
            flex-direction: row;
            padding-right: 25px;
            justify-content: space-between;
            background-color: rgba($bgColor, 0.05);

            &:not(:last-child) {
                border-bottom: 1px solid white;
            }

            &-title {
                height: 100%;
                font-size: 16px;
                min-width: $equipmentHeight;
                font-weight: bold;
                padding: 23px 65px;
                display: inline-block;
                background-color: rgba($bgColor, 0.08);
            }

            &-content {
                display: flex;
                max-width: 100%;
                flex-wrap: nowrap;
                flex-direction: row;
                align-items: center;
                justify-content: center;

                svg {
                    font-size: 28px;
                    margin: 0px 6px;
                }

                &-field {
                    width: auto;
                    height: 40px;
                    font-size: 16px;
                    overflow: hidden;
                    font-weight: bold;
                    padding: 8px 0px;
                    text-align: right;
                    margin-bottom: 0px;
                    white-space: nowrap;
                    display: inline-block;
                    text-overflow: ellipsis;
                    background-color: white;
                }
            }
        }

        &-battery-level,
        &-rssi {
            p {
                width: 100px;
                padding-right: 20px;
                margin: 0px 0px 0px 10px;
            }
        }

        &-wake-up,
        &-gps {
            p {
                background: none;
                margin-right: 10px;
            }
        }

        &-gps {
            padding-right: 15px;
            
            svg {
                margin: 0px;
                width: 44px;
                height: 44px;
                padding: 7px;
                font-size: 44px;
                color: darken($bgColor, 5);

                &:hover {
                    color: darken($bgColor, 25);
                }
            }
        }
    }

    &-map {
        position: relative;
        height: $equipmentHeight;
        width: $equipmentHeight * 1.5;
    }
}

@media screen and (max-width: 1366px) {
    .equipment-container {
        &-description {
            width: calc(100% - #{$equipmentHeight});
            &-item {
                &-title {
                    min-width: 200px;
                    padding: 23px 20px;
                }
            }
        }
    }
}

@media screen and (min-width: 1024px) and (max-width: 1366px) {
    .equipment-container {
        &-description {
            width: calc(100% - #{$equipmentHeight});
        }

        &-map {
            width: $equipmentHeight; 
        }
    }
}

@media screen and (max-width: 1024px) {
    .equipment-container {
        height: auto;

        &-description,
        &-map {
            width: 100%;
        }
    }
}
